changeset 1826:8949d5d1637d

<oerjan> mv q bin/\'?\'
author HackBot
date Fri, 25 Jan 2013 21:11:48 +0000
parents 113125d864bc
children b44abd1d6926
files bin/? q
diffstat 2 files changed, 3 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/bin/?	Fri Jan 25 21:11:24 2013 +0000
+++ b/bin/?	Fri Jan 25 21:11:48 2013 +0000
@@ -1,4 +1,5 @@
 #!/bin/sh
 topic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")
-([ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ] && cat /dev/urandom && exit 0; ) || [ -e "wisdom/$topic" ] || { echo "$1? ¯\(°_o)/¯"; exit 1; }
-cat "wisdom/$topic"
+topic1=$(echo "$topic" | sed "s/s$//")
+([ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ] && cat /dev/urandom && exit 0; ) || if [ -e "wisdom/$topic" ]; then cat "wisdom/$topic"; elif [ -e "wisdom/$topic1" ]; then cat "wisdom/$topic1"; else echo "$1? ��\(��_o)/��"; exit 1; fi
+
--- a/q	Fri Jan 25 21:11:24 2013 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,5 +0,0 @@
-#!/bin/sh
-topic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")
-topic1=$(echo "$topic" | sed "s/s$//")
-([ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ] && cat /dev/urandom && exit 0; ) || if [ -e "wisdom/$topic" ]; then cat "wisdom/$topic"; elif [ -e "wisdom/$topic1" ]; then cat "wisdom/$topic1"; else echo "$1? ��\(��_o)/��"; exit 1; fi
-